Create person note
curl --request POST \
--url https://api.withallo.com/v2/api/crm/people/{person_id}/notes \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Prefers email over calls. Intro by @[Jane Doe](usr-abc123)."
}
'import requests
url = "https://api.withallo.com/v2/api/crm/people/{person_id}/notes"
payload = { "content": "Prefers email over calls. Intro by @[Jane Doe](usr-abc123)." }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: 'Prefers email over calls. Intro by @[Jane Doe](usr-abc123).'})
};
fetch('https://api.withallo.com/v2/api/crm/people/{person_id}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "cno-abc123",
"person_id": "per-abc123",
"content": "Prefers email over calls. Intro by @[Jane Doe](usr-abc123).",
"user": {
"id": "usr-def456",
"name": "John Smith"
},
"mentions": [
{
"user_id": "usr-abc123",
"name": "Jane Doe",
"deleted": false
}
],
"created_at": "2026-07-13T10:00:00",
"updated_at": "2026-07-13T10:00:00"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}Notes
Create person note
Adds a note to a person’s CRM profile.
POST
/
v2
/
api
/
crm
/
people
/
{person_id}
/
notes
Create person note
Required scope:
NOTES_WRITEBehavior
Adds a note to the CRM profile of the person identified byperson_id — the per-* id from the People API.
Mentions
Mention teammates inline incontent with @[Display Name](usr-xxxx) — they receive the same push, email, and in-app notifications as mentions made from the Allo apps. See the mentions guide.
Errors
| Status | Code | When |
|---|---|---|
400 | EMPTY_NOTE_CONTENT | content is missing or blank |
400 | NOTE_CONTENT_TOO_LONG | content exceeds 4,000 characters |
400 | CONTACT_NOTES_UNAVAILABLE | The workspace is not on the v2 contact model yet |
404 | PERSON_NOT_FOUND | No person with this ID (also returned for IDs without the per- prefix) |
Authorizations
Path Parameters
Person ID (per-*) — the id field from the People API.
Example:
"per-abc123"
Body
application/json
Note text (max 4000 characters). Mention teammates inline with @[Name](usr-...), or @[all](all) to notify the whole team.
Example:
"Escalate to @[Jane Doe](usr-abc123) tomorrow"
Response
Note created
Show child attributes
Show child attributes
Was this page helpful?
⌘I